/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package win32neshto.j2mesafemod;

import javax.microedition.lcdui.Command;
import javax.microedition.lcdui.CommandListener;
import javax.microedition.lcdui.Displayable;
import javax.microedition.lcdui.TextBox;
import javax.microedition.lcdui.TextField;

/**
 *
 * @author Win32.Neshto
 */
public class EditTextBox extends TextBox implements CommandListener {
    private SetTextInterface d;
    private J2MESafe app;
    private Command okCommand = new Command(Str.OK, Command.OK, 1);
    private Command cancelCommand = new Command(Str.CANCEL, Command.CANCEL, 2);

    public EditTextBox(J2MESafe app, String caption, String text, SetTextInterface d) {
        super(caption, text, Consts.MAX_TEXT_LENGTH, TextField.ANY);
        this.d = d;
        this.app = app;
        addCommand(okCommand);
        addCommand(cancelCommand);
        setCommandListener(this);
    }

    public void commandAction(Command c, Displayable _d) {
        if(c==okCommand) {
            d.setText(this.getString());
            app.getDisplay().setCurrent(d.getDisplayable());
        } else if(c==cancelCommand) {
            app.getDisplay().setCurrent(d.getDisplayable());
        }
    }

}
