package win32neshto.j2mesafemod;

import javax.microedition.lcdui.Command;
import javax.microedition.lcdui.Displayable;
import javax.microedition.lcdui.TextField;

public class DeleteEntryForm extends EntryDetailForm {
  TextField label;
  TextField body;
  Entry entry;
  Command deleteCommand = new Command(Str.DELETE, Command.SCREEN, 1);

  public DeleteEntryForm(J2MESafe app, Entry entry) {
    super(app, Str.DELETE_ENTRY);
    this.entry = entry;
    append(Str.DELETE_WARNING + entry.getLabel() + " ?");
    addCommand(deleteCommand);
  }

  public void commandAction(Command c, Displayable d) {
    if (c == deleteCommand) {
      app.entryList.deleteEntry(entry);
      app.getDisplay().setCurrent(app.entryList);
    } else
      super.commandAction(c, d);
  }
}